org.springframework.web.portlet.mvc

## Class PortletModeNameViewController

- java.lang.Object
- - org.springframework.web.portlet.mvc.PortletModeNameViewController

All Implemented Interfaces:
  Controller

    public class PortletModeNameViewController
    extends Object
    implements Controller

Trivial controller that transforms the PortletMode to a view name. The advantage here is that the client is not exposed to the concrete view technology but rather just to the controller URL; the concrete view will be determined by the ViewResolver.

Example: PortletMode.VIEW -> "view"

This controller does not handle action requests.

Since:
  2.0
Author:
  William G. Thompson, Jr., John A. Lewis

### Constructor Summary

Constructors
Constructor and Description
`PortletModeNameViewController()`

### Method Summary

Methods
`void` `handleActionRequest(ActionRequest request, ActionResponse response)` Process the action request.
`ModelAndView` `handleRenderRequest(RenderRequest request, RenderResponse response)` Process the render request and return a ModelAndView object which the DispatcherPortlet will render.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PortletModeNameViewController

    public PortletModeNameViewController()

### Method Detail

#### handleActionRequest

    public void handleActionRequest(ActionRequest request,
                           ActionResponse response)
                             throws Exception

Description copied from interface: `Controller`
Process the action request. There is nothing to return.

Specified by:
  `handleActionRequest` in interface `Controller`
Parameters:
  `request` - current portlet action request
  `response` - current portlet action response
Throws:
  `Exception` - in case of errors

#### handleRenderRequest

    public ModelAndView handleRenderRequest(RenderRequest request,
                                   RenderResponse response)

Description copied from interface: `Controller`
Process the render request and return a ModelAndView object which the DispatcherPortlet will render. A `null` return value is not an error: It indicates that this object completed request processing itself, thus there is no ModelAndView to render.

Specified by:
  `handleRenderRequest` in interface `Controller`
Parameters:
  `request` - current portlet render request
  `response` - current portlet render response
Returns:
  a ModelAndView to render, or null if handled directly